import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { KinesisStreamState } from '../states/kinesis-stream.state';
export declare type DecreaseKinesisStreamsShardsState = KinesisStreamState[];
export declare class DecreaseKinesisStreamsShardsTrick implements TrickInterface<DecreaseKinesisStreamsShardsState> {
    private ksClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getCurrentState(task: ListrTaskWrapper<any, any>, currentState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    private listKinesisStreamsNames;
    private getStreamState;
    private conserveStreamShards;
    private restoreStreamShards;
    private getStreamSummary;
}
