import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { RdsDatabaseState } from '../states/rds-database.state';
export declare type StopRdsDatabaseInstancesState = RdsDatabaseState[];
export declare class StopRdsDatabaseInstancesTrick implements TrickInterface<StopRdsDatabaseInstancesState> {
    private rdsClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getCurrentState(task: ListrTaskWrapper<any, any>, currentState: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveDatabase;
    private restoreDatabase;
    private listDatabases;
}
